diff --git a/ChangeLog.txt b/ChangeLog.txt
index fd004143d..b2a4bbe5c 100644
--- a/ChangeLog.txt
+++ b/ChangeLog.txt
@@ -167,6 +167,18 @@ and -tunnel options.  This version of the viewer is built by default when
 building TurboVNC on Windows, but it can be disabled by setting the
 TVNC_WINCONSOLE CMake variable to 0.
 -------------------------------------------------------------------------------
+[21]
+Fixed an issue whereby the TurboVNC Server, running on Linux Mint, would
+stop sending framebuffer updates and would incorrectly process input events
+after the following sequence of events occurred:
+
+-- the screen saver was activated while there were no viewers connected
+-- a new viewer connected
+-- the new viewer requested a remote desktop resize
+
+This might have affected other systems and applications as well, particularly
+full-screen applications that grab the keyboard/mouse.
+-------------------------------------------------------------------------------
 
 
 ===============================================================================
diff --git a/unix/Xvnc/programs/Xserver/hw/vnc/randr.c b/unix/Xvnc/programs/Xserver/hw/vnc/randr.c
index 01ed9dd05..5f017b1d1 100644
--- a/unix/Xvnc/programs/Xserver/hw/vnc/randr.c
+++ b/unix/Xvnc/programs/Xserver/hw/vnc/randr.c
@@ -1,5 +1,5 @@
 /*
- *  Copyright (C)2013-2015 D. R. Commander.  All Rights Reserved.
+ *  Copyright (C)2013-2016 D. R. Commander.  All Rights Reserved.
  *
  *  This is free software; you can redistribute it and/or modify
  *  it under the terms of the GNU General Public License as published by
@@ -369,6 +369,7 @@ Bool vncRRScreenSetSize(ScreenPtr pScreen, CARD16 width, CARD16 height,
       }
     }
     cl->pendingDesktopResize = TRUE;
+    cl->deferredUpdateScheduled = FALSE;
     cl->reason = rfbEDSReasonServer;
     // Reset all of the regions, so the next FBU will behave as if it
     // was the first.
